From: Angus Ainslie <angus@akkea.ca>
Date: Fri, 7 May 2021 07:20:25 -0700
Subject: power: supply: bq25890: Display battery charge faults

Log state changes for charge faults.

Signed-off-by: Angus Ainslie <angus@akkea.ca>
---
 drivers/power/supply/bq25890_charger.c | 9 +++++++++
 1 file changed, 9 insertions(+)

diff --git a/drivers/power/supply/bq25890_charger.c b/drivers/power/supply/bq25890_charger.c
index 5abce4d..2921a8d 100644
--- a/drivers/power/supply/bq25890_charger.c
+++ b/drivers/power/supply/bq25890_charger.c
@@ -641,6 +641,15 @@ static irqreturn_t __bq25890_handle_irq(struct bq25890_device *bq)
 	if (!memcmp(&bq->state, &new_state, sizeof(new_state)))
 		return IRQ_NONE;
 
+	if (new_state.chrg_fault != bq->state.chrg_fault) {
+		if (new_state.chrg_fault)
+			dev_err(bq->dev, "Charge fault - new fault old: %d new: %d\n",
+				bq->state.chrg_fault, new_state.chrg_fault);
+		else
+			dev_info(bq->dev, "Charge fault - fault cleared old: %d new: %d\n",
+				bq->state.chrg_fault, new_state.chrg_fault);
+	}
+
 	if (!new_state.online && bq->state.online) {	    /* power removed */
 		/* disable ADC */
 		ret = bq25890_field_write(bq, F_CONV_RATE, 0);
